Bug 585178 - _local.repo not created.
_local.repo not created.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 07:18 EDT by Frank Murphy
Modified: 2014-01-21 18:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 04:36:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2010-04-23 07:18:57 EDT
Description of problem: yum-plugin-local
not creating _local.repo

Not rebuilding local repodata

local.conf has:
repodir=/nfs/drive (which is mounted)


Version-Release number of selected component (if applicable):
yum-plugin-protect-packages-1.1.26-1.fc13.noarch
yum-plugin-security-1.1.26-1.fc13.noarch
yum-metadata-parser-1.1.4-1.fc13.i686
yum-plugin-download-order-0.2-1.fc11.noarch
yum-utils-1.1.26-1.fc13.noarch
yum-plugin-fastestmirror-1.1.26-1.fc13.noarch
yum-plugin-local-1.1.26-1.fc13.noarch
yum-plugin-remove-with-leaves-1.1.26-1.fc13.noarch
yum-langpacks-0.1.5-1.fc13.noarch
yum-3.2.27-3.fc13.noarch
yum-updateonboot-1.1.26-1.fc13.noarch
yum-presto-0.6.2-1.fc13.noarch
createrepo-0.9.8-4.fc13.noarch

How reproducible:
past couple of hours init 3, 5.

Steps to Reproduce:
1.install yum-plugin-local 
2. use repodir= some dir
3. 
  
Actual results: not creating _local.repo, creating repodate\copying rpms


Expected results: working local repo


Additional info: local repo is shared among a number of Fedora boxes.
worked fine upto yesterday. PackageKit* removed as a test.
createrepo will work if called on it's own
Comment 1 Frank Murphy 2010-04-23 09:27:13 EDT
(In reply to comment #0)
>
> 
> Actual results: not creating _local.repo, creating repodate\copying rpms
> 

s/creating repodate\copying rpms 

not creating repodata
Comment 2 Frank Murphy 2010-04-23 15:07:06 EDT
More info:
this is also happening on an F14.x86_64 box (yum-udateonboot)

If I " rm -f /path/to/localrepo/repodata/* "

and then use createrepo "/path/to/localrepo"

yum update will "rebuild local repo"
once and once only.

Other boxes with  F13 updates-testing disabled are fine.
Comment 3 James Antill 2010-04-23 15:59:20 EDT
Ok, so there appears to be two things here:

1. /etc/yum.repos.d/_local.repo is not being automatically created?

2. /path/to/local-repo is not being updated with createrepo?

...both might be due to mis-understandins as to how the plugin works. So let me explain it, and hopefully you'll write a man page for me ;)


i. yum install yum-plugin-local. Then configure repodir, if desired.

 a. At this point the plugin is installed, but will never do anything (assuming the repodir doesn't exist somewhere else). Until:

ii. yum op, with the plugin installed (op is anything that downloads a package). 

 a. If the package is from the "_local" repo ... do nothing.
 b. If a package exists in the local repo. ... do nothing.
 c. Otherwise we: copy the package to the repodir (creating dirs. if needed); create /etc/yum.repos.d/_local.repo (if it doesn't exist); run createrepo on the repodir.

iii. Now we have a running plugin, a _local.repo and a reposdir. Everytime yum runs we now check the mtime of reposdir vs. mtime of reposdir/repodata/repomd.xml ... if the dir. is newer (packages have been added/removed since the last createrepo) we run createrepo before looking at the "_local" repo.

...sharing this over multiple machines will probably work (assuming you don't access them at the same time, as we do no locking and createrepo might be unhappy). What you probably need to though is pre-copy a _local.repo file to all the machines.

 Does that solve any confusion you have, or do you still think something weird is happening?
Comment 4 Frank Murphy 2010-04-23 17:46:15 EDT
(In reply to comment #3)
> Ok, so there appears to be two things here:
> 
> 1. /etc/yum.repos.d/_local.repo is not being automatically created?

Correct

> 
> 2. /path/to/local-repo is not being updated with createrepo?

Correct
> 
> ...both might be due to mis-understandins as to how the plugin works. So let me
> explain it, and hopefully you'll write a man page for me ;)
> 
> 
> i. yum install yum-plugin-local. Then configure repodir, if desired.

Done.
> 
>  a. At this point the plugin is installed, but will never do anything (assuming
> the repodir doesn't exist somewhere else). Until:
> 
> ii. yum op, with the plugin installed (op is anything that downloads a
> package). 
> 
>  a. If the package is from the "_local" repo ... do nothing.

tried enabling\disabling

>  b. If a package exists in the local repo. ... do nothing.



>  c. Otherwise we: copy the package to the repodir (creating dirs. if needed);
> create /etc/yum.repos.d/_local.repo (if it doesn't exist); run createrepo on
> the repodir.
> 
F14 box (minimal F14 xfce install) all non-esstentials removed.

C: yum install abiword (@rawhide)

Installs fine, but no copy to ~/localrepo



> iii. Now we have a running plugin, a _local.repo and a reposdir. Everytime yum
> runs we now check the mtime of reposdir vs. mtime of
> reposdir/repodata/repomd.xml ... if the dir. is newer (packages have been
> added/removed since the last createrepo) we run createrepo before looking at
> the "_local" repo.

Have tried "yum clean metadata (all)"

> 
> ...sharing this over multiple machines will probably work (assuming you don't
> access them at the same time,

All boxes off except F14 for testing purposes.
And other are stated up different times usuall with 
yum updateonboot --security --bugfixes (auto reboot if necessary)

 as we do no locking and createrepo might be
> unhappy). What you probably need to though is pre-copy a _local.repo file to
> all the machines.

Tried, no difference.
Unless rm ~/local/repodata

Have also removed ~/localrepo completly.
Won't recreate it, even with local.conf (repodir=/path/to/)

> 
>  Does that solve any confusion you have, or do you still think something weird
> is happening?    

Yes, beacuse one F13 without update-testing works perfectly even will do a yum reinstall (eg a\*) and copy over to ~/localrepo any missing rpms.  The F14 won't, (hosed the other F13, experimenting with yum)  I'll reinstall the other F13 in the morning and update one rpm at the time, and see if I can trigger something. The F12 are fine also at the moment.
Comment 5 Frank Murphy 2010-04-23 18:10:01 EDT
addendum F14.

yum erase yum*local createrepo

rm ~*rpmsave

yum install yum*local createrepo 


Default local.conf local.py*
doesn't create anything
Comment 6 Frank Murphy 2010-04-24 10:32:21 EDT
Seems to be sorted.
It was a permission thing on the NAS.

Had to setup up an update user,
and enter mount in F13.fstab

And allow remote root access.

Apologies for any noise.
Comment 7 Tim Lauridsen 2010-04-27 09:48:36 EDT
Frank, there is no outstanding issues in this report, right ?
Comment 8 Frank Murphy 2010-04-27 10:54:37 EDT
(In reply to comment #7)
> Frank, there is no outstanding issues in this report, right ?    

No outstanding issues.

Note You need to log in before you can comment on or make changes to this bug.